<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.yida.data.school.transaction.mapper.EduProductNoticeStudentMapper">
    <select id="findRecordList" resultType="com.yida.data.common.core.entity.apply.EduProductNoticeStudent">
        SELECT
        DISTINCT
        notice_id,
        create_date,
        content,
        put_type,
        receive_type,
        create_name
        FROM
        `edu_product_notice_student`
        WHERE notice_id IN
        <foreach collection="id" item="item" close=")" open="(" separator=",">
            #{item}
        </foreach>
        ORDER BY create_date DESC
    </select>
</mapper>
